package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 类型(乐器、教辅、课程)'
 */
public enum OrderDetailTypeEnum implements BaseEnum<String, OrderDetailTypeEnum> {
	MUSICAL("MUSICAL", "乐器"),
	TEACHING("TEACHING", "教辅"),
	ELSE("ELSE", "其他"),
	COURSE("COURSE", "课程");

	private String code;

	private String msg;

	OrderDetailTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
